#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	markupsafe
Summary:	Implements a XML/HTML/XHTML Markup safe string for Python 3
Summary(pl.UTF-8):	MarkupSafe - łańcuch dla Pythona 3 bezpieczny pod kątem znaczników XML/HTML/XHTML
Name:		python3-%{module}
# WARNING: Check ceph BRs before updating past 2.1.x
Version:	2.1.5
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/markupsafe/
Source0:	https://files.pythonhosted.org/packages/source/M/MarkupSafe/MarkupSafe-%{version}.tar.gz
# Source0-md5:	8fe7227653f2fb9b1ffe7f9f2058998a
URL:		https://markupsafe.palletsprojects.com/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%if %{with doc}
BuildRequires:	python3-pallets-sphinx-themes >= 1.1.0
BuildRequires:	python3-sphinx_issues >= 1.2.0
BuildRequires:	python3-sphinxcontrib-log-cabinet >= 1.0.1
BuildRequires:	sphinx-pdg-3 >= 1.8.0
%endif
Requires:	python3-modules >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MarkupSafe implements a XML/HTML/XHTML Markup safe string for Python.

%description -l pl.UTF-8
MarkupSafe to implementacja łańcucha znaków dla Pythona bezpiecznego
pod kątem znaczników XML/HTML/XHTML.

%package apidocs
Summary:	API documentation for Python MarkupSafe module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona MarkupSafe
Group:		Documentation

%description apidocs
API documentation for Python MarkupSafe module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona MarkupSafe.

%prep
%setup -q -n MarkupSafe-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/$(echo build-3/lib.*) \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/markupsafe/_speedups.c

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.rst
%dir %{py3_sitedir}/markupsafe
%{py3_sitedir}/markupsafe/*.py
%{py3_sitedir}/markupsafe/__pycache__
%{py3_sitedir}/markupsafe/_speedups.pyi
%{py3_sitedir}/markupsafe/py.typed
%attr(755,root,root) %{py3_sitedir}/markupsafe/_speedups.cpython-*.so
%{py3_sitedir}/MarkupSafe-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun Dec 22 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-markupsafe.git;a=log;h=master

* Sun Dec 22 2024 Jan Rękorajski <baggins@pld-linux.org> c17c319
- up to 2.1.5

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> b20ff1a
- updated to 2.1.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0044782
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1a22498
- rebuild with python 3.10

* Thu Mar 03 2022 Jakub Bogusz <qboosh@pld-linux.org> e75ffe8
- updated dependencies

* Sat Oct 30 2021 Jan Rękorajski <baggins@pld-linux.org> 130f70b
- Release 2 (by relup.sh)

* Tue Oct 05 2021 Elan Ruusamäe <glen@pld-linux.org> 69f29ca
- Up to 2.0.1

* Tue Oct 05 2021 Elan Ruusamäe <glen@pld-linux.org> 102e358
- Build only python3 package

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 8ab2d47
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 24aacec
- release 2 (by relup.sh)

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> f17806b
- updated to 1.1.1
- build docs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c1e982e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8160656
- up to 1.1.0

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 37cbba9
- updated download URL

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f886d7f
- release 2 (by relup.sh)

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 4cbda2d
- updated to 1.0, now builds in the sane way

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f9ce81
- python3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c7cf0f6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5be30e4
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e2092c7
- automatic change: use py_build/py_install macros

